Profile
此页面暂无中文版本,显示的是英文版本。
Update client personal data
Use this method to request an update of personal data. The change is not applied immediately: a profile data change request (Application) is created and must be approved by an administrator. Verification is not reset. The response body returns the current (unchanged) personal data.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v2/my/profile/info" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{}'{ "firstName": "string", "lastName": "string", "middleName": "string", "birthday": "2022-01-01T00:00:00+00:00"}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Conflict", "code": 0 }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}